Fix build failure with binutils 2.34

https://sourceforge.net/p/avarice/bugs/25/
--- configure.orig	2012-11-05 10:49:29.000000000 -0600
+++ configure	2020-07-09 16:29:43.000000000 -0500
@@ -5458,7 +5458,7 @@
   int main(void) {
     bfd_init();
     file = bfd_openr("foo", 0);
-    bfd_get_section_name(file, file->sections);
+    bfd_section_name(file->sections);
     return 42;
   }
 _ACEOF
--- src/jtag2prog.cc.orig	2020-07-09 16:05:48.000000000 -0500
+++ src/jtag2prog.cc	2020-07-09 16:31:15.000000000 -0500
@@ -48,8 +48,11 @@
 
 #if ENABLE_TARGET_PROGRAMMING
 // The API changed for this in bfd.h. This is a work around.
+#ifndef bfd_get_section_name
+#  define bfd_get_section_name(bfd, ptr) bfd_section_name(ptr)
+#endif
 #ifndef bfd_get_section_size
-#  define bfd_get_section_size bfd_get_section_size_before_reloc
+#  define bfd_get_section_size bfd_section_size
 #endif
 
 static void initImage(BFDimage *image)
--- src/jtagprog.cc.orig	2020-07-09 16:05:48.000000000 -0500
+++ src/jtagprog.cc	2020-07-09 16:31:14.000000000 -0500
@@ -47,8 +47,11 @@
 
 #if ENABLE_TARGET_PROGRAMMING
 // The API changed for this in bfd.h. This is a work around.
+#ifndef bfd_get_section_name
+#  define bfd_get_section_name(bfd, ptr) bfd_section_name(ptr)
+#endif
 #ifndef bfd_get_section_size
-#  define bfd_get_section_size bfd_get_section_size_before_reloc
+#  define bfd_get_section_size bfd_section_size
 #endif
 
 static void initImage(BFDimage *image)
